﻿@model Tuple<ServiceCallView, List<UDF_ARGNS>>

@{
    ViewBag.Title = "_ServiceCall";
    Layout = "~/Areas/ServiceCall/Views/Shared/_Layout.cshtml";
}

@Styles.Render("~/Content/DataPicker")
@Styles.Render("~/bundles/DataTables-CSS")
@Scripts.Render("~/bundles/DataTables-JS")

<script type="text/javascript">
    var formMode = '@ViewBag.FormMode';
    var urlRedirect = '@ViewBag.URLRedirect';
</script>
<h1 class="page-header">@ServiceCall.ServiceCallTitle</h1>

@using (Html.BeginForm("ConfirmAction", "ServiceCall", FormMethod.Post, new { @class = "form-horizontal row-border", id = "formServiceCall" }))
{
    <div class="row">
        <div class="col-md-5">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@ServiceCall.CustomerInfo</h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-md-2 control-label">@ServiceCall.Customer</label>

                        <div class="col-md-4 form_separator">
                            @*@Html.TextBox("customer", ((string.IsNullOrEmpty(Model.Item1.PortalBPCode)) ? Model.Item1.customer : Model.Item1.PortalBPCode) , new { @id = "customer", @placeholder = @ServiceCall.CustCode, @class = "form-control" })*@
                            <input class="form-control" id="customer" name="customer" placeholder="@ServiceCall.CustCode" type="text" value="@((string.IsNullOrEmpty(Model.Item1.PortalBPCode)) ? Model.Item1.customer : Model.Item1.PortalBPCode)" aria-required="true" aria-invalid="false" @((string.IsNullOrEmpty(Model.Item1.PortalBPCode)) ? "" : "disabled=disabled")>
                        </div>
                        <div class="col-md-3 form_separator">
                            @Html.TextBox("custmrName", ((string.IsNullOrEmpty(Model.Item1.PortalBPCode)) ? Model.Item1.custmrName : Model.Item1.PortalBPName), new { @id = "custmrName", @placeholder = @ServiceCall.CustName, @class = "form-control", @disabled = "disabled" })
                        </div>
                        @if (string.IsNullOrEmpty(Model.Item1.PortalBPCode))
                        {
                            <div class="col-md-3 pull-right">
                                <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#VendorModal"><span class="glyphicon glyphicon-search"></span> Search</button>
                            </div>
                        }
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">@ServiceCall.ContactPerson</label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.Item1.contctCode, new SelectList(
                                    Model.Item1.ContactPersonList, "CntctCode", "Name", Model.Item1.contctCode), new { @Id = "contctCode", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">@ServiceCall.Phone</label>
                        <div class="col-md-10">
                            @Html.TextBoxFor(c => c.Item1.CustomerPhone, new { @id = "CustomerPhone", @placeholder = @ServiceCall.Phone, @class = "form-control", @disabled = "disabled" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">@ServiceCall.RefNumber</label>
                        <div class="col-md-10">
                            @Html.TextBoxFor(c => c.Item1.NumAtCard, new { @id = "NumAtCard", @placeholder = @ServiceCall.RefNumber, @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-2 control-label">@ServiceCall.Subject</label>
                        <div class="col-md-10">
                            @Html.TextBoxFor(c => c.Item1.subject, new { @id = "subject", @placeholder = @ServiceCall.Subject, @class = "form-control" })
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="col-md-4">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@ServiceCall.ItemInfo</h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-md-3 control-label">@ServiceCall.SerialNumMFR</label>
                        <div class="col-md-6 form_separator">
                            @Html.TextBoxFor(c => c.Item1.manufSN, new { @id = "manufSN", @placeholder = @ServiceCall.SerialNumMFR, @class = "form-control", @disabled = "disabled" })
                        </div>
                        <div class="col-md-3 pull-right">
                            <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#myModalEquipCard"><span class="glyphicon glyphicon-search"></span> Search</button>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">@ServiceCall.SerialNum</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.internalSN, new { @id = "internalSN", @placeholder = @ServiceCall.SerialNum, @class = "form-control", @disabled = "disabled" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">@ServiceCall.ItemCode</label>
                        <div class="col-md-6 form_separator">
                            @Html.TextBoxFor(c => c.Item1.itemCode, new { @id = "itemCode", @placeholder = @ServiceCall.ItemCode, @class = "form-control", @disabled = "disabled" })
                        </div>
                        <div class="col-md-3 pull-right">
                            <button type="button" class="btn btn-success btn-ls pull-right " data-toggle="modal" data-target="#myModal" onclick="GetItemsModel()"><span class="glyphicon glyphicon-search"></span> Search</button>
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">@ServiceCall.ItemName</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.itemName, new { @id = "itemName", @placeholder = @ServiceCall.ItemName, @class = "form-control", @disabled = "disabled" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">@ServiceCall.ItemGroup</label>
                        <div class="col-md-4">
                            @Html.DropDownListFor(model => model.Item1.itemGroup, new SelectList(
                                Model.Item1.ComboList.ItemGroupList,
                                            "ItmsGrpCod",
                                            "ItmsGrpNam", Model.Item1.itemGroup), new { @Id = "itemGroup", @class = "form-control", @disabled = "disabled" })
                        </div>
                        <label class="col-md-1 control-label">@ServiceCall.Contract </label>
                        <div class="col-md-4">
                            @Html.TextBoxFor(c => c.Item1.contractID, new { @id = "contractID", @placeholder = @ServiceCall.Contract, @class = "form-control", @disabled = "disabled" })
                        </div>
                    </div>
                </div>
            </div>
        </div>


        <div class="col-md-3">
            <div class="panel panel-default">
                <div class="panel-heading clearfix">
                    <h3 class="panel-title">@ServiceCall.Status </h3>
                </div>
                <div class="panel-body">
                    <div class="form-group">
                        <label class="col-md-3 control-label">@ServiceCall.CallId</label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(c => c.Item1.callID, new { @id = "callID", @placeholder = @ServiceCall.CallId, @class = "form-control", @disabled = "disabled" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">@ServiceCall.Status</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(model => model.Item1.status, new SelectList(
                                Model.Item1.ComboList.ServiceStatusList,
                                "statusID",
                                "Name", Model.Item1.status), new { @Id = "status", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">@ServiceCall.Priority</label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(model => model.Item1.priority, new SelectList(
                                Model.Item1.ComboList.ServicePriorityList,
                                "Code",
                                "Name", Model.Item1.priority), new { @Id = "priority", @class = "form-control" })
                        </div>
                    </div>
                    <div class="form-group">
                        <label class="col-md-3 control-label">@ServiceCall.Date</label>
                        <div class="col-md-9">
                            <div class="input-group date">
                                @Html.TextBoxFor(c => c.Item1.createDate, new { @Id = "createDate", @Name = "createDate", @placeholder = @ServiceCall.Date, @class = "form-control", @Value = (Model.Item1.createDate != null && Model.Item1.createDate != DateTime.MinValue) ? Model.Item1.createDate.ToString().AsDateTime().ToShortDateString() : "" })<span class="input-group-addon"><i class="glyphicon glyphicon-calendar"></i></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>


    </div>
            <!--///////// BLOKE 2 /////////-->
            <!--///////////////////////////TABS INFORMACION//////////////////////////////-->
            <!--acordion-->
    <div class="panel-group" id="accordion">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseOne">
                        @ServiceCall.General
                    </a><i class="indicator glyphicon glyphicon-chevron-down  pull-right"></i>
                </h4>
            </div>
            <div id="collapseOne" class="panel-collapse collapse" style="height: 0px;">
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-2 control-label">
                            @ServiceCall.Origin
                        </label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.Item1.origin, new SelectList(
                                    Model.Item1.ComboList.ServiceOriginList,
                                    "originID", "Descriptio", Model.Item1.origin), new { @Id = "origin", @class = "form-control" })
                        </div>
                        <div class="clear_simple"></div>
                        <label class="col-md-2 control-label">
                            @ServiceCall.ProblemType
                        </label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.Item1.problemTyp, new SelectList(
                                    Model.Item1.ComboList.ServiceProblemTypeList,
                                    "prblmTypID", "Descriptio", Model.Item1.problemTyp), new { @Id = "problemTyp", @class = "form-control" })
                        </div>
                        <div class="clear_simple"></div>
                        <label class="col-md-2 control-label">
                            @ServiceCall.ProblemSubType
                        </label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.Item1.ProSubType, new SelectList(
                                    Model.Item1.ComboList.ServiceProblemSubTypeList,
                                    "ProSubTyId", "Descriptio", Model.Item1.ProSubType), new { @Id = "ProSubType", @class = "form-control" })
                        </div>
                        <div class="clear_simple"></div>
                        <label class="col-md-2 control-label">
                            @ServiceCall.CallType
                        </label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.Item1.callType, new SelectList(
                                    Model.Item1.ComboList.CallTypeList,
                                    "callTypeID", "Descriptio", Model.Item1.callType), new { @Id = "callType", @class = "form-control" })
                        </div>
                        <div class="clear_simple"></div>
                        <label class="col-md-2 control-label">
                            @ServiceCall.Technician
                        </label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.Item1.technician, new SelectList(
                                    Model.Item1.ComboList.TechnicianList,
                                    "empID", "lastName", Model.Item1.technician), new { @Id = "technician", @class = "form-control" })
                        </div>
                        <div class="clear_simple"></div>
                        <label class="col-md-2 control-label">
                            @ServiceCall.HandledBy
                        </label>
                        <div class="col-md-10">
                            @Html.DropDownListFor(model => model.Item1.assignee, new SelectList(
                                    Model.Item1.ComboList.HandledByList,
                                    "USERID", "U_NAME", Model.Item1.assignee), new { @Id = "assignee", @class = "form-control" })
                        </div>
                        <div class="clearfix"></div>
                    </div>
                </div>
            </div>
        </div>

        <div class="panel panel-default">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseTwo">
                        @ServiceCall.Remarks
                    </a><i class="indicator glyphicon glyphicon-chevron-up  pull-right"></i>
                </h4>
            </div>
            <div id="collapseTwo" class="panel-collapse collapse" style="height: 0px;">
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-2 control-label">@ServiceCall.Remarks</label>
                        <div class="col-md-10">
                            @Html.TextBoxFor(c => c.Item1.descrption, new { @id = "descrption", @placeholder = @ServiceCall.Remarks, @class = "form-control", @style = "height:100px" })
                        </div>
                        <div class=" clear_simple"></div>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>

        <div class="panel panel-default">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseThree">
                        @Activity.Activitylist
                    </a><i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                </h4>
            </div>
            <div id="collapseThree" class="panel-collapse collapse" style="height: 0px;">
                <div class="panel-body">
                    <div id="ActivitiesList">
                        @Html.Partial("_ActivitiesList", Model.Item1.ActivitiesList)
                    </div>
                    <div class="clearfix"></div><br>
                    <div>
                        <a href='@Url.Action("AddActivity", "ServiceCall")' class="btn btn-lg btn-success">
                            <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@ServiceCall.New
                        </a>
                    </div>
                    <div class="clearfix"></div>
                </div>
            </div>
        </div>

        <div class="panel panel-default">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseFive">
                        @ServiceCall.Resolutions
                    </a><i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                </h4>
            </div>
            <div id="collapseFive" class="panel-collapse collapse" style="height: 0px;">
                <div class="panel-body">
                    <div class="row">
                        <label class="col-md-2 control-label">@ServiceCall.Resolutions</label>
                        <div class="col-md-10">
                            @Html.TextBoxFor(c => c.Item1.resolution, new { @id = "resolution", @placeholder = @ServiceCall.Resolutions, @class = "form-control", @style = "height:100px" })
                        </div>
                    </div>

                    <div class="clearfix"></div>
                </div>
            </div>
        </div>

        <div class="panel panel-default">
            <div class="panel-heading">
                <h4 class="panel-title">
                    <a class="accordion-toggle collapsed" data-toggle="collapse" data-parent="#accordion" href="#collapseSix">
                        @ServiceCall.Attachments
                    </a><i class="indicator glyphicon glyphicon-chevron-up pull-right"></i>
                </h4>
            </div>
            <div id="collapseSix" class="panel-collapse collapse" style="height: 0px;">
                <div class="form-group" style="margin-left: 10px; margin-bottom: 10px; margin-top: 5px; margin-right: 60px;" id="divinputfile">
                    <div class="form-group">
                        <input id="file-1" type="file" multiple class="file">
                    </div>
                    <br />
                    <div>
                        <button id="UploadAttach" class="btn btn-lg btn-success pull-left" type="button"><span class="glyphicon glyphicon-circle-arrow-up"></span>&nbsp; @ServiceCall.Upload</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="">
                        @Html.Partial("_AttachmentList", Model.Item1.AttachmentList)
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>

    <div class="alert alert-success" id="UpdateCorrectly" role="alert">
        <strong>@ServiceCall.UpdatedSuccess</strong>
    </div>

    <div class="but_blok_footer">
        <div class="col-lg-12">
            <a id="btnOk" class="btn btn-lg btn-success pull-right" style="margin-left:3px">Ok</a>
            <a id="Cancel" name="Cancel" class="btn btn-lg btn-default pull-right" href='@ViewBag.URLRedirect'>@ServiceCall.Cancel</a>
        </div>
    </div>
    
}

@*Vendor Modal*@
<div class="modal fade" id="VendorModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabelVendorModalVendor">@ServiceCall.Search @ServiceCall.Customer</h4>
            </div>
            <div class="">
                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-3 control-label">@Activity.Code</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtCodeBP", null, new { @Id = "txtCodeBP", @Name = "txtCodeBP", @placeholder = @Activity.Code, @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-3 control-label">@Activity.Name</label>
                            <div class="col-md-9">
                                @Html.TextBox("txtNameBP", null, new { @Id = "txtNameBP", @Name = "txtNameBP", @placeholder = @Activity.Name, @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchVendor" class="btn btn-success btn-ls pull-right"><span class="glyphicon glyphicon-search"></span> @Activity.Search</button>
                    </div>
                </div>
                <div class="panel-body">
                    <div class="table-responsive responsive table_cart">
                        <table id="assets-data-table-BP" class="table table-striped table-hover display" style="width:100%;"></table>
                        <script type="text/javascript">
                        var assetListBP;
                        $(function () {
                            assetListBP = {
                                dtBP: null,
                                init: function () {
                                    dtBP = $('#assets-data-table-BP').DataTable({
                                        "autoWidth": true,
                                        "serverSide": true,
                                        "processing": true,
                                        "data": null,
                                        "dom": '<"top"lp>rt<"bottom"ip>',
                                        "ajax": {
                                            "url": "/ServiceCall/ServiceCall/_Customers",
                                            "type": 'POST',
                                            "data": function (data) {
                                                data.pCardCode = $("#txtCodeBP").val();
                                                data.pCardName = $("#txtNameBP").val();
                                            }
                                        },
                                        "columns": [
                                            { "title": "@Activity.Code", "data": "CardCode", "name": "CardCode" },
                                            { "title": "@Activity.Name", "data": "CardName", "name": "CardName" },
                                            {
                                                "title": "@Activity.Type", "name": "CardType", "data": "CardType",
                                                "render": function (data, type, full, meta) {
                                                    switch (data) {
                                                        case "C": return "@Activity.Customer"; break;
                                                        case "S": return "@Activity.Vendor"; break;
                                                        case "L": return "@Activity.Lead"; break;
                                                        default: ""; break;
                                                    }
                                                }
                                            },
                                            {
                                                "title": "", "data": null, "width": "110px", "orderable": false, "name": "",
                                                "render": function (data, type, full, meta) {
                                                    var mReturnValue = "<button type=\"button\" class=\"btn btn-primary btn-xs\" onclick=\"SetVendor('" + data.CardCode + "','" + data.CardName + "',true);\"><span class=\"glyphicon glyphicon-arrow-right\"></span> @Activity.Select</button>";
                                                    return mReturnValue;
                                                }
                                            }
                                        ],
                                        "lengthMenu": [[10, 25, 50, 100], [10, 25, 50, 100]],
                                    });
                                },
                                refresh: function () {
                                    dtBP.ajax.reload();
                                }
                            }
                        });
                        </script>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@ServiceCall.Cancel</button>
            </div>
        </div>
    </div>
</div>

@*Modal Items*@
<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">@ServiceCall.Search </h4>
            </div>
            <div class="">

                <div class="bs-example">
                    <div class="col-md-4" style="padding-top:0px;">
                        <div class="row">
                            <label class="col-md-2 control-label">@ServiceCall.ItemCode</label>
                            <div class="col-md-10">
                                @Html.TextBox("Code", null, new { @Id = "UDF_Code", @Name = "Code", @placeholder = "Code", @class = "form-control" })
                            </div>
                        </div>
                        <div class="row">
                            <label class="col-md-2 control-label">@ServiceCall.ItemName</label>
                            <div class="col-md-10">
                                @Html.TextBox("Name", null, new { @Id = "UDF_Name", @Name = "Name", @placeholder = "Name", @class = "form-control" })
                            </div>
                        </div>
                    </div>
                    @if (Model.Item2.Count > 0)
                    {
                        <div class="col-md-8 limitador_udf">

                            @{
                                foreach (UDF_ARGNS DictRow in Model.Item2)
                                {
                                    @*if (DictRow.ListUFD1.Count > 0)
                                        {
                                            <div class="row">
                                                <label class="col-md-2 control-label">@DictRow.UDFName</label>
                                                <div class="col-md-10">
                                                    @Html.DropDownList(DictRow.UDFName, new SelectList(
                                                             DictRow.ListUFD1,
                                                                "FldValue",
                                                                "Descr", DictRow.Value), new { @Id = "HEADUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @class = "form-control" })
                                                </div>
                                            </div>
                                        }
                                        else
                                        {*@
                                    <div class="row">
                                        <label class="col-md-2 control-label">@DictRow.UDFName</label>
                                        <div class="col-md-10">
                                            @Html.TextBox(DictRow.UDFName, DictRow.Value, new { @Id = "SearchItemUDF_" + DictRow.UDFName, @Name = DictRow.UDFName, @placeholder = DictRow.UDFName, @class = "form-control" })
                                        </div>
                                    </div>
                                    //}
                                }
                            }
                        </div>
                                }

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchItems" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @ServiceCall.Search</button>
                    </div>
                </div>

                <div class="panel-body udf_box_limitado" id="ModalItemsTable">
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">@ServiceCall.Cancel</button>
                <button type="button" id="btnChoose" class="btn btn-primary">@ServiceCall.Choose</button>
            </div>
        </div>
    </div>
</div>

@*Modal Equipment Card*@
<div class="modal fade" id="myModalEquipCard" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                <h4 class="modal-title" id="myModalLabel">@ServiceCall.Search </h4>
            </div>
            <div class="">

                <div class="bs-example">

                    <div class="col-md-3">
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckCode" value="option1" checked=""> @ServiceCall.BC
                        </label>

                        <br>
                        <label class="checkbox-inline">
                            <input type="checkbox" id="ckName" value="option1" checked=""> @ServiceCall.BN
                        </label>
                    </div>


                    <div class="col-md-2">
                        <label class="col-md-2 control-label">@ServiceCall.Search</label>
                    </div>

                    <div class="col-md-4">
                        <input type="text" name="regular" id="txtSearch" class="form-control">
                    </div>

                    <div class="col-md-2 pull-right">
                        <button type="button" id="SearchEquipCard" class="btn btn-success btn-ls pull-right "><span class="glyphicon glyphicon-search"></span> @ServiceCall.Search</button>
                    </div>

                </div>


                <div class="panel-body">
                    <!--tabla-->
                    <div class="table-responsive">
                        <div id="LoadEquip" style=" text-align center ">
                            <img src="~/Content/img/Load.gif" />
                        </div>
                        <div id="EquipCardBody">

                        </div>
                    </div>
                </div>
            </div>

        </div>
    </div>
</div>

@Scripts.Render("~/bundles/ServiceCall-Model")

<script>
    $(document).ready(function () {
        var sideslider = $('.navbar-toggle');
        var sel2 = sideslider.attr('data-target-2');
        sideslider.click(function (event) {
            $(sel2).toggleClass('out');
        });

        if ($(window).width() <= 768) {
            $('.panel-collapse').removeClass('in');
        }
    });

    $(window).resize(function () {
        if ($(window).width() >= 768) {
        }
        if ($(window).width() <= 768) {
            $('.panel-collapse').removeClass('in');
        }
    });
</script>

@if (!string.IsNullOrEmpty(Model.Item1.PortalBPCode))
{
    <script>
        SetVendor('@Model.Item1.PortalBPCode', '@Model.Item1.PortalBPName');
    </script>
}